<?xml version='1.0' encoding='utf-8'?>
<!DOCTYPE hibernate-configuration PUBLIC
"-//Hibernate/Hibernate Configuration DTD 3.0//EN"
"http://hibernate.sourceforge.net/hibernate-configuration-3.0.dtd">
 
<hibernate-configuration>
 
<session-factory>
<property name="connection.driver_class">com.mysql.jdbc.Driver</property>
<property name="connection.url">jdbc:mysql://localhost:3306/test</property>
<property name="connection.username">root</property>
<property name="connection.password">root</property>
 
<property name="connection.pool_size">1</property>
 
<!-- SQL dialect -->
<property name="dialect">org.hibernate.dialect.MySQLDialect</property>
 
<!-- Enable Hibernate's automatic session context management -->
<property name="current_session_context_class">thread</property>
 
<!-- Disable the second-level cache -->
<property name="cache.provider_class">org.hibernate.cache.NoCacheProvider</property>
 
<!-- Display all generated SQL to stdout -->
<property name="show_sql">true</property>
 
<!-- Drop and re-create the database schema on startup -->
<property name="hbm2ddl.auto">update</property>
 
<mapping class="com.demo.model.EmployeeModel" />
 
</session-factory>
 
</hibernate-configuration>